# eric4.VCS.__init__

Module implementing the general part of the interface to version control systems.

The general part of the VCS interface defines classes to implement common dialogs. These are a dialog to enter command options, a dialog to display some repository information and an abstract base class. The individual interfaces (i.e. CVS) have to be subclasses of this base class.

### Classes

None

### Functions

factory | Modul factory function to generate the right vcs object.

## factory

factory(vcs)

Modul factory function to generate the right vcs object.

vcs
  name of the VCS system to be used (string)

Returns:
  the instantiated VCS object

Up